Skip to content

Update team member schedule (deprecated)
deprecated

Request

DEPRECATED: Use PUT /location/{location_id}/staff/schedule instead.

Updates the work schedule for a specific team member.

Security
BearerPartnerUser
Path
location_idintegerrequired

Location ID

Example:720441
team_member_idintegerrequired

Team member ID

Example:12345
Headers
Acceptstringrequired
Default:"application/vnd.api.v2+json"
Content-Typestringrequired
Default:"application/json"
Authorizationstringrequired

Bearer {partner_token}, User {user_token}

Bodyapplication/jsonrequired
Array [
datestring, (date)required

Schedule date (YYYY-MM-DD)

Example:"2026-01-15"
is_workingbooleanrequired

Whether the team member is working on this date

Example:true
slotsArray of objectsrequired

Working time intervals

]
curl -i -X PUT \
  https://developer.alteg.io/_mock/en/b2b-v1/openapi/schedule/720441/12345 \
  -H 'Accept: application/vnd.api.v2+json' \
  -H 'Authorization: Bearer <YOUR_Bearer {PartnerToken}, User {UserToken}_HERE>' \
  -H 'Content-Type: application/json' \
  -d '[
    {
      "date": "2026-01-15",
      "is_working": true,
      "slots": [
        {
          "from": "10:00",
          "to": "14:30"
        },
        {
          "from": "15:00",
          "to": "22:00"
        }
      ]
    },
    {
      "date": "2026-01-16",
      "is_working": true,
      "slots": [
        {
          "from": "10:00",
          "to": "14:00"
        },
        {
          "from": "15:00",
          "to": "23:15"
        }
      ]
    }
  ]'

Responses

Schedule updated successfully

Bodyapplication/json
Response
No content